Subject: Re: [alto] Review of draft-randriamasy-alto-cost-context-02

From: Dennis Yu <[email-masked]>
Date: Sun, 3 Dec 2017 00:21:16 +0800

Hi, all
I also reviewed this draft, and here are some little issues.

The two use cases are quite meaningful, but some concepts such as "Cost
context attributes" maybe need to be defined clear in next version.
In Section 4.4, I think it's not suitable to say "The ALTO Server can
regularly update the Cost Map and send filtered information to the ALTO
Client", because it's always the client to send the request and the server
to reply.

Some other typos,

Section 2.1, page 4, "It may integrate abstractions by the network
provider, of actual costs impacted by other values such as congestion
oravailable bandwidth are are assumed to be not easily available to UEs or
applications otherwise.",   "are are" -> "which are"
Section 4.4.2, page 13, part of the example code should be
    }, // end meta
   "cost-map" : {
       "Cell1": { "Cell1": [[70, 20, 90, 20], ... ,[50, 20, 70, 20]] },
       "Cell2": { "Cell2": [[20, 70, 20, 90], ... ,[20, 50, 20, 70]] }
   }

Sincerely,
Dennis Yu

2017-11-30 23:08 GMT+08:00 Dawn Chan <[email-masked]>:

> Hi Sabine and all the ALTOers,
>
> I just reviewed the new version of ALTO Contextual Cost Values, here are
> my opinions.
>
> The updated version solves some of my confusion before. In Section 4.2,
> the ARFcost ranges from 0 to 100, with the optimal value being 0. It means
> that the larger the ARFcost value is, the serious the congestion situation
> becomes, which makes the example in Section 4.3 much more reasonable.
>
> There are something related to Unified Property Map to be resolved. In
> Section 4.1.1,  since there is no domain “PoA”, so I suppose the first
> paragraph is suggesting a new property attached to the PID to indicate the
> PID entities being “PoA”, right? As for the connection properties in the
> second paragraph, I do not quite understand the exact meaning, does it
> stand for the connection property of the PoA?
>
>  Besides, there are some minor typo errors in the draft. I list them
> below.
>
> 1. In Section 4.1, “- A cost context aware ALTO may indicate in its IRD
> capabilities…”, to be consistent with the next item, it might be ALTO
> Server.
>
> 2. It is the same problem with the first one. In Section 4.1, “- A cost
> context aware ALTO may indicate a maximum number..”, here, it refers to the
> ALTO Server, right? And there is a minior typo error “ot” in this sentence.
>
> 3. In Section 4.4, “the Cost Map can be convey connection” in the first
> paragraph, the word “use” might be lost.
>
> Above are my current ideas about the new version. Wish to hear your reply.
>
> Best Regards,
>
> Dawn
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>
>